# Class TCEFWorkSchedulerQueueThread

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWorkSchedulerQueueThread

## Declaration

`type TCEFWorkSchedulerQueueThread = class(TThread)`

## Description

This item has no description.

## Hierarchy

- TObject
- TThread
- TCEFWorkSchedulerQueueThread

## Overview

### Fields

| `FQueueCS: TCriticalSection;`
| `FEvent: TEvent;`
| `FWaiting: boolean;`
| `FStop: boolean;`
| `FReady: boolean;`
| `FValues: TValuesArray;`
| `FOnPulse: TOnPulseEvent;`

### Methods

| `function GetAvailableValue: integer;`
| `function GetHasPendingValue: boolean;`
| `function Lock: boolean;`
| `procedure Unlock;`
| `function CanContinue: boolean;`
| `procedure ReadAllPendingValues;`
| `procedure DoOnPulse;`
| `procedure Execute; override;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure AfterConstruction; override;`
| `procedure StopThread;`
| `procedure EnqueueValue(aValue : integer);`

### Properties

| `property AvailableValue : integer read GetAvailableValue;`
| `property HasPendingValue : boolean read GetHasPendingValue;`
| `property Ready : boolean read FReady;`
| `property OnPulse : TOnPulseEvent read FOnPulse write FOnPulse;`

## Description

### Fields

| `FQueueCS: TCriticalSection;`
This item has no description.

| `FEvent: TEvent;`
This item has no description.

| `FWaiting: boolean;`
This item has no description.

| `FStop: boolean;`
This item has no description.

| `FReady: boolean;`
This item has no description.

| `FValues: TValuesArray;`
This item has no description.

| `FOnPulse: TOnPulseEvent;`
This item has no description.

### Methods

| `function GetAvailableValue: integer;`
This item has no description.

| `function GetHasPendingValue: boolean;`
This item has no description.

| `function Lock: boolean;`
This item has no description.

| `procedure Unlock;`
This item has no description.

| `function CanContinue: boolean;`
This item has no description.

| `procedure ReadAllPendingValues;`
This item has no description.

| `procedure DoOnPulse;`
This item has no description.

| `procedure Execute; override;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure AfterConstruction; override;`
This item has no description.

| `procedure StopThread;`
This item has no description.

| `procedure EnqueueValue(aValue : integer);`
This item has no description.

### Properties

| `property AvailableValue : integer read GetAvailableValue;`
This item has no description.

| `property HasPendingValue : boolean read GetHasPendingValue;`
This item has no description.

| `property Ready : boolean read FReady;`
This item has no description.

| `property OnPulse : TOnPulseEvent read FOnPulse write FOnPulse;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.